﻿@model IEnumerable<CarRental.Core.Models.Account>

@{
    ViewData["Title"] = "Index";
}

<h2 class="justify-content-center mb-3 mt-3">Customer List</h2>
<table class="table table-striped">
    <thead>
        <tr>
            <th>
                Email
            </th>
            <th>
                Full Name
            </th>
            <th>
                Date of Birth
            </th>
            <th>
                National ID No.
            </th>
            <th>
                Address
            </th>


            <th>
                Phone
            </th>
            <th>
                Active Status
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    <a asp-action="Edit" asp-route-id="@item.Id">
                        @if (item.Email == null || item.Email.Length == 0)
                        {
                            @item.UserName
                        }
                        else
                        {
                            @item.Email
                        }
                    </a>

                </td>
                <td>
                    @item.FullName
                </td>
                <td>
                    @item.DateOfBirth.Date
                </td>
                <td>
                    @item.NationalID
                </td>
                @if (item.Address != null)
                {
                    <td>@item.SpecificAddress, @item.Address.Ward, @item.Address.District, @item.Address.City</td>
                }
                else
                {
                    <td> </td>
                }
                <td>
                    @Html.DisplayFor(modelItem => item.PhoneNumber)
                </td>
                <td>
                    @if (item.IsActive)
                    {
                        <p class="text-success font-weight-bold d-inline">Activated</p>
                    }
                    else
                    {
                        <p class="text-danger  font-weight-bold d-inline">Disabled</p>
                    }
                </td>
                <td>
                    <a asp-action="Edit" asp-route-id="@item.Id"><i class="fa fa-edit"></i> Modify Status</a>
                </td>
            </tr>
        }
    </tbody>
</table>
